---
title: "Get merchant account"
url: "https://docs.signnow.com/docs/request-payments/operations/get-organizations-org_id-merchantaccount-merchant_account_id"
type: "endpoint"
section: "request-payments"
slug: "request-payments/operations/get-organizations-org_id-merchantaccount-merchant_account_id"
method: "GET"
path: "/organizations/{org_id}/merchantaccount/{merchant_account_id}"
operation_id: "get-organizations-org_id-merchantaccount-merchant_account_id"
authorization: "bearer"
---

# Get merchant account

`GET /organizations/{org_id}/merchantaccount/{merchant_account_id}`

This endpoint allows API users to retrieve details of all payment accounts within a specific organization. Use the payment account ID to retrieve details of a specific account.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |
| `merchant_account_id` | string | Yes | The account ID of merchant account(s) to get details for. |

## Responses

### 200

Returns details of the organization payment account(s) in case of successful response.

**Example** (`Example 1`)

```json
{
  "id": "5ef7e3853f4a4624a037d90d20513a195937d255",
  "currency": "USD",
  "secure_key": "sk_yyyy_0vkrljcpCb9qbdk8IMXNyyyy",
  "account_name": "My Stripe",
  "currency_name": "US Dollar",
  "merchant_type": "Stripe",
  "publishable_key": "pk_xxxx_y16i7GDlOVChs1OowXjAiYYY",
  "display_ach_form": true,
  "merchant_account_id": "Stripe",
  "display_credit_card_form": true
}
```

**Example** (`example-1`)

```json
{
  "id": "unique_id",
  "account_name": "account_name",
  "merchant_type": "merchant_name",
  "json_attributes": "json_attributes",
  "merchant_account_id": "merchant_account_id"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/organizations/{org_id}/merchantaccount/{merchant_account_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/request-payments/operations/get-organizations-org_id-merchantaccount-merchant_account_id*
